Skip to Content
0

SAP HANA Studio for HANA Rules Framework 1.0 SP09

Feb 06, 2017 at 12:44 AM

122

avatar image

Hello, Can anyone advise as to a SAP HANA Studio version that will allow the use of the SAP HANA Vocabulary Editor with an On Premise HANA DB? We are running the following components:

On Premise HANA DB = SP12 (1.00.122.04.1478575636)

HANA Rules Framework = HRF 1.0 SP09

SAP NOTE 2374762 suggests that for HRF SP09 Patch 1 with HANA SPS12 we need to use SAP HANA Studio 2.3.10. On SAP Service Marketplace in software downloads I see the following available items for Windows 64bit...though none of these seem to install Studio version 2.3.10.

I have tried downloading and installing several of these HANA Studio versions, but after installation, and then downloading the HCO_RULES_FW component from our HANA server into the Studio, either the visual tools don't load at all (Failed to Create Part) or if they do load, it is still impossible to create new elements.

I can create a valid vocabulary using the text editor to create a .hprvocabulary file in Odata format and can use it in building HRF rules. But even after creating a valid Odata Vocabulary file, the Vocabulary editor still can't be used in the Studio. In order to create more complex vocabularies with relationships between multiple tables, I'd prefer to have the graphical tool, obviously.

Thanks! Nick Simon

versions.png (15.6 kB)
10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

0 Answers